## API Report File for "yoha"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="@types/offscreencanvas" />

// @public
export function ApplyPaddingToCoordinates(padding: number, coords: number[][]): number[][];

// @public
export function CreateMaxFpsMaxResStream(): Promise<IMediaStreamResult>;

// @public (undocumented)
export function CreateVideoElementFromStream(stream: MediaStream): HTMLVideoElement;

// @public
export function DownloadYohaModelFiles(boxUrl: string, lanUrl: string, progressCb: IModelDownloadProgressCb): Promise<IYohaModelFiles>;

// @public
export interface IEngineConfig {
    __boxSlack?: number;
    __userFriendlyCoordinateOrder?: boolean;
    minHandPresenceProbabilityThreshold?: number;
    mirrorX?: boolean;
    padding?: number;
}

// @public (undocumented)
export interface IMediaStreamResult {
    // (undocumented)
    error?: ObjValues<typeof MediaStreamErrorEnum>;
    // (undocumented)
    stream: MediaStream | null;
}

// @public
export type IModelDownloadProgressCb = (received: number, total: number) => void;

// @public
export interface IPoseProbabilities {
    fistProb: number;
    pinchProb: number;
}

// @public
export interface IStopEngineCb {
    // (undocumented)
    (): void;
}

// @public
export interface ITfjsModelFiles {
    blobs: Map<string, Blob>;
}

// @public
export interface ITrackResult {
    coordinates: number[][];
    isHandPresentProb: number;
    isLeftHandProb: number;
    poses: IPoseProbabilities;
}

// @public
export type ITrackResultCb = (res: ITrackResult) => void;

// @public
export type ITrackSource = HTMLCanvasElement | HTMLVideoElement | HTMLImageElement | OffscreenCanvas;

// @public
export interface IYohaModelFiles {
    box: ITfjsModelFiles;
    lan: ITfjsModelFiles;
}

// @public
export const MediaStreamErrorEnum: {
    readonly ABORT_ERROR: "AbortError";
    readonly NOT_ALLOWED_ERROR: "NotAllowedError";
    readonly NOT_FOUND_ERROR: "NotFoundError";
    readonly NOT_READABLE_ERROR: "NotReadableError";
    readonly OVERCONSTRAINTED_ERROR: "OverconstrainedError";
    readonly SECURITY_ERROR: "SecurityError";
    readonly TYPE_ERROR: "TypeError";
};

// @public
export function MirrorCoordinatesHorizontally(coords: number[][]): number[][];

// @public
export type ObjValues<T> = T[keyof T];

// @public
export function StartWebGlEngine(config: IEngineConfig, trackSource: ITrackSource, yohaModel: IYohaModelFiles, resCb: ITrackResultCb): Promise<IStopEngineCb>;

```
